HXUNXMLNS(1)

NAME
hxunxmlns - replace XML "global names" by Namespace prefixes

SYNOPSIS
hxunxmlns [ -- ] [ file ]

DESCRIPTION
hxunxmlns is the reverse of hxxmlns(1). It converts element and attribute names of the form

<{URL1}foo {URL2}bar="...">

to

<foo xmlns="URL1" xmlns:x="URL2" x:bar="...">

The predefined XML Namespace is recognized and replaced by the prefix "xml:".

DIAGNOSTICS
The following exit values are returned:

0   Successful completion.

> 0 One or more errors occurred in the parsing of the file.

SEE ALSO
hxxmlns(1)

BUGS

The error recovery for incorrect XML is primitive.